# Conditional build:
%bcond_with		gtk3	# build GTK+3 disables GTK+2
%bcond_without		gtk2	# build with GTK+2

%if %{with gtk3}
%undefine	with_gtk2
%endif

Summary:	GTK+2 interface to XRandR for LXDE desktop
Name:		lxrandr
Version:	0.3.0
Release:	1
License:	GPL v3
Group:		X11/Applications
Source0:	http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz
# Source0-md5:	250f0ebb09c1e02f430f951911ba1259
Patch0:		mate-desktop.patch
URL:		http://wiki.lxde.org/en/LXRandR
BuildRequires:	gettext-tools
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.12.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel}
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A GTK+ interface to XRandR for LXDE desktop.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	%{?with_gtk3:--enable-gtk3}
touch po/stamp-it
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{frp,ur_PK,tt_RU}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_bindir}/lxrandr
%{_desktopdir}/lxrandr.desktop
%{_mandir}/man1/lxrandr*
%changelog
* Tue Jul 21 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/lxrandr.git;a=log;h=master

* Tue Jul 21 2015 Marcin Krol <hawk@tld-linux.org> d65737c
- updated to 0.3.0

* Tue Jul 21 2015 Marcin Krol <hawk@tld-linux.org> 3b3fff3
- from PLD

